Modify a people list
curl --request PATCH \
--url https://app.tryspecter.com/api/v1/lists/people/{listId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"add_ids": [
"per_5e3a7f2b0aa7a3270a55f2a7"
],
"delete_ids": [
"per_5e3a7f2b0aa7a3270a55f2a7"
]
}
'import requests
url = "https://app.tryspecter.com/api/v1/lists/people/{listId}"
payload = {
"add_ids": ["per_5e3a7f2b0aa7a3270a55f2a7"],
"delete_ids": ["per_5e3a7f2b0aa7a3270a55f2a7"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
add_ids: ['per_5e3a7f2b0aa7a3270a55f2a7'],
delete_ids: ['per_5e3a7f2b0aa7a3270a55f2a7']
})
};
fetch('https://app.tryspecter.com/api/v1/lists/people/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b73c8bed-3b92-48f9-a879-40ee114dca03",
"name": "Favourites",
"created_at": "2024-11-14T10:36:12.625Z",
"updated_at": "2024-11-14T10:36:12.625Z",
"people": [
{
"person_id": "per_2f3c7fe468ec9fc2181bec8b",
"created_at": "2025-01-02T17:29:46.688Z"
}
]
}{
"errorCode": "INVALID_LIST_UUID",
"message": "List id must be a valid UUID."
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}People Lists
Modify a people list
What it does
Adds or removes people in an existing people list.
Why you’d use it
Keep a curated contact cohort current as your pipeline changes.
Key behaviors
- Supports adding and removing people in a single request (per the request schema on this page).
- To create a new list and add people in one step, use POST Create a new people list.
The list must be shared with the API to be modifiable.
PATCH
/
lists
/
people
/
{listId}
Modify a people list
Authorizations
Path Parameters
The ID of the list being requested.
Body
application/json
Response
The list including people ids
List Id
Example:
"b73c8bed-3b92-48f9-a879-40ee114dca03"
Name of the list
Example:
"Favourites"
Date list was created
Example:
"2024-11-14T10:36:12.625Z"
Date the list was last updated
Example:
"2024-11-14T10:36:12.625Z"
The people included in this list
Show child attributes
Show child attributes
Was this page helpful?
⌘I